org.jetlang.web

## Class WebSocketRequestHandler<S,T>

- java.lang.Object
- - org.jetlang.web.WebSocketRequestHandler<S,T>

All Implemented Interfaces:
  Handler<S>

    public class WebSocketRequestHandler<S,T>
    extends Object
    implements Handler<S>

### Constructor Summary

Constructors
Constructor and Description
`WebSocketRequestHandler(Charset local, WebSocketHandler<S,T> handler, WebSocketSecurity<S> security)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NioReader.State` `start(SessionDispatcherFactory.SessionDispatcher<S> dispatcher, HttpRequest headers, HttpResponse response, HeaderReader<S> headerReader, NioWriter writer, S sessionState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketRequestHandler

    public WebSocketRequestHandler(Charset local,
                                   WebSocketHandler<S,T> handler,
                                   WebSocketSecurity<S> security)

### Method Detail

#### start

    public NioReader.State start(SessionDispatcherFactory.SessionDispatcher<S> dispatcher,
                                 HttpRequest headers,
                                 HttpResponse response,
                                 HeaderReader<S> headerReader,
                                 NioWriter writer,
                                 S sessionState)

Specified by:
  `start` in interface `Handler<S>`